Zeitgeist.Subject.Subject.move_event – zeitgeist-2.0 Reference Manual

# Subject.move_event

## Description:

public Subject.move_event (string? source_uri = null, string? source_origin = null, string? destination_uri = null, string? destination_origin = null, string? interpretation, string? manifestation = null, string? mimetype = null, string? text = null, string? storage = null)

Create a new Subject structure to describe a move event

## Parameters:

source_uri | The URI or URL of the subject
source_origin | The URI or URL of the subject
destination_uri | The URI or URL of the subject
destination_origin | The URI or URL of the subject
interpretation | The interpretation type of the subject.
manifestation | The manifestation type of the subject.
mimetype | The mimetype of the subject. Eg. <emphasis>text/plain</emphasis>
text | A small textual representation of the subject suitable for display
storage | String identifier for the storage medium the subject is on.

## Returns:

A newly create Subject instance. The returned subject will have a floating reference which will be consumed if you pass the event to any of the methods provided by this library (like adding it to an event).